# $Revision: 1.6 $, $Date: 2006/08/22 03:14:01 $
Summary:	kFlickr - standalone Flickr.com uploader for KDE
Summary(pl):	kFlickr - samodzielne narzdzie dla KDE do przesyania danych na Flickr.com
Name:		kflickr
Version:	0.7
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/kflickr/%{name}-%{version}.tar.bz2
# Source0-md5:	83acb1a707d509e971d30ad6770689db
Patch0:		%{name}-desktop.patch
URL:		http://kflickr.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kFlickr is a standalone KDE application that allows for easy upload of
your favourite photos to your Flickr.com account. kFlickr provides the
following features:
- drag and drop from other applications (such as Konqueror and
  DigiKam)
- easy editing of your photo properties (title, description, privacy,
  tags)
- access to your Flickr.com list of tags
- support for more than one user
- image preview
- support for the new Flickr.com authentication
- batch editing of photos
- proxy server support
- support for JPG, PNG and (non-animated) GIF photo formats

%description -l pl
kFlickr to samodzielna aplikacja KDE pozwalajca na atwe przesyanie
ulubionych zdj na konto Flickr.com. kFlickr daje nastpujce
moliwoci:
- przeciganie z innych aplikacji (takich jak Konqueror czy DIgiKam)
- atw zmian waciwoci zdj (tytuu, opisu, danych prywatnych,
  znacznikw)
- dostp do listy znacznikw Flickr.com
- obsug wicej ni jednego uytkownika
- podgld obrazw
- obsug nowego uwierzytelnienia Flickr.com
- wsadowe modyfikowanie zdj
- obsug serwera proxy
- obsug formatw zdj JPG, PNG i (nie animowanego) GIF

%prep
%setup -q
%patch0 -p0

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir} \
	kde_appsdir=%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_desktopdir}/Graphics/kflickr.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/kflickr
%attr(755,root,root) %{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/kflickr*
%{_iconsdir}/hicolor/*/*/*.png
%{_desktopdir}/*.desktop
%{_mandir}/man1/kflickr*
%{_datadir}/apps/konqueror/servicemenus/kflickr_servicemenu.desktop
%{_datadir}/services/kflickrpart.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kflickr.spec,v $
Revision 1.6  2006/08/22 03:14:01  shadzik
- 0.7

Revision 1.5  2006/08/08 01:43:59  glen
- fix amd64 build

Revision 1.4  2006/07/11 11:13:20  shadzik
- drop -devel subpackage and move *.la files to main package

Revision 1.3  2006/07/06 10:50:49  shadzik
- up to 0.6
- more files; devel subpackage

Revision 1.2  2006/02/04 23:41:44  qboosh
- pl

Revision 1.1  2006/02/03 18:14:25  megabajt
- new
